︠2df17443-ee95-4d2f-ac3c-7ee612bd9959i︠
%html
<p>This chapter is about:</p>
<p>1) Translations<br /> 2) Reflections<br /> 3) Scale Changes<br /> 4) Function Composition<br /> 5) Inverse Functions<br /> 6) $z$-Scores</p>
<p>=================================</p>

<p>1)&nbsp; Translations</p>
<p>You can think of a translation $T$ as a kind of function that operates on a point:&nbsp; $T(x, y) = (x+h, y+k)$</p>
<p>If $f(x)$ is some algebraic function, and if all of the points in its graph are translated by $T$,</p>
<p>then the new function $g(x)$ that describes those points will be $g(x) = f(x-h) + k$.</p>

︡f5945841-64a3-47a4-a867-eee93e44e39f︡{"html": "<p>This chapter is about:</p>\r\n<p>1) Translations<br /> 2) Reflections<br /> 3) Scale Changes<br /> 4) Function Composition<br /> 5) Inverse Functions<br /> 6) $z$-Scores</p>\r\n<p>=================================</p>\r\n\r\n<p>1)&nbsp; Translations</p>\r\n<p>You can think of a translation $T$ as a kind of function that operates on a point:&nbsp; $T(x, y) = (x+h, y+k)$</p>\r\n<p>If $f(x)$ is some algebraic function, and if all of the points in its graph are translated by $T$,</p>\r\n<p>then the new function $g(x)$ that describes those points will be $g(x) = f(x-h) + k$.</p>"}︡
︠221c5c2e-a3bc-4053-9bdd-db618da3cf35︠
def T(x, y): return (x+2, y-3)

L = [(0, 0), (3, 4), (-1, 5)]
L
︡1a53c3d6-2c7d-4bec-b3af-8d2868b55748︡{"stdout": "[(0, 0), (3, 4), (-1, 5)]"}︡
︠6a3b2448-d28c-4f2c-854d-40691de0319b︠
[T(x, y) for (x, y) in L]
︡18fd36c9-64b6-4f94-9f31-04bce6bf2c2c︡{"stdout": "[(2, -3), (5, 1), (1, 2)]"}︡
︠6c6e04ef-b274-47d7-9651-bb082b5ea2b6︠
@interact
def _(h = (-5..5), k = (-5..5)):
    def T(L): return [(x+h, y+k) for (x, y) in L]
    def f(x): return x^2
    F = [(x, f(x)) for x in [-5..5]]
    def g(x): return f(x-h) + k
    G = T(F)
    print 'T(x, y) = (x +',h,', y +',k,')'
    print '\nf(x) = x^2'
    print F
    print '\ng(x) = (x-',h,')^2 + ', k
    print G
    show(points(G, color = 'red') + points(F) + plot(g, -5+h, 5+h, color = 'red') + plot(f, -5, 5))
︡62ed91af-a0dd-49ab-ae71-40c3c1e936e6︡{"html": "<!--notruncate--><div padding=6 id='div-interact-73'> <table width=800px height=20px bgcolor='#c5c5c5'\n                 cellpadding=15><tr><td bgcolor='#f9f9f9' valign=top align=left><table><tr><td align=right><font color=\"black\">h&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-h-73' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-h-73-lbl'></font></td></tr></table><script>(function(){ var values = [\"-5\",\"-4\",\"-3\",\"-2\",\"-1\",\"0\",\"1\",\"2\",\"3\",\"4\",\"5\"]; setTimeout(function() {\n    $('#slider-h-73').slider({\n        step: 1, min: 0, max: 10, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-h-73-lbl').text(values[position]); interact(73, \"_interact_.update(73, \\\"h\\\", 1, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(73)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-h-73-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-h-73-lbl').text(values[$('#slider-h-73').slider('value')]);\n    }, 1); })();</script></td></tr>\n<tr><td align=right><font color=\"black\">k&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-k-73' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-k-73-lbl'></font></td></tr></table><script>(function(){ var values = [\"-5\",\"-4\",\"-3\",\"-2\",\"-1\",\"0\",\"1\",\"2\",\"3\",\"4\",\"5\"]; setTimeout(function() {\n    $('#slider-k-73').slider({\n        step: 1, min: 0, max: 10, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-k-73-lbl').text(values[position]); interact(73, \"_interact_.update(73, \\\"k\\\", 2, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(73)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-k-73-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-k-73-lbl').text(values[$('#slider-k-73').slider('value')]);\n    }, 1); })();</script></td></tr>\n</table><div id='cell-interact-73'><?__SAGE__START>\n        <table border=0 bgcolor='#white' width=100% height=100%>\n        <tr><td bgcolor=white align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
︠2233e20b-0d80-4fb7-bee4-fb62401b1d42i︠
%html
<p>If <span style="color: #0000ff;">$f(x) = x^2$</span> and <span style="color: #ff0000;">$g(x) = (x-3)^2$</span><span style="color: #0000ff;">&nbsp;</span>, then the graph of <span style="color: #ff0000;">$g$</span> will look just like the graph of <span style="color: #0000ff;">$f$</span> shifted horizontally 3 units.</p>
<p>But in which direction?&nbsp; To the <em>left</em> or to the <em>right</em> of <span style="color: #0000ff;">$f$</span>?</p>
<p>You might expect <span style="color: #ff0000;">$g$</span> to appear to the <em>left</em>, because of the <span style="color: #000000;"><span style="color: #ff0000;">$(x-3)$</span>.</span></p>
<p>But no, it actually appears to the <em>right</em>.&nbsp; This fact is often confusing to students.</p>
<p>Here is another interactive cell to experiment with just horizontal shifts:</p>

︡e422b424-7bd3-46b4-8eb7-e06d680dde43︡{"html": "<p>If <span style=\"color: #0000ff;\">$f(x) = x^2$</span> and <span style=\"color: #ff0000;\">$g(x) = (x-3)^2$</span><span style=\"color: #0000ff;\">&nbsp;</span>, then the graph of <span style=\"color: #ff0000;\">$g$</span> will look just like the graph of <span style=\"color: #0000ff;\">$f$</span> shifted horizontally 3 units.</p>\r\n<p>But in which direction?&nbsp; To the <em>left</em> or to the <em>right</em> of <span style=\"color: #0000ff;\">$f$</span>?</p>\r\n<p>You might expect <span style=\"color: #ff0000;\">$g$</span> to appear to the <em>left</em>, because of the <span style=\"color: #000000;\"><span style=\"color: #ff0000;\">$(x-3)$</span>.</span></p>\r\n<p>But no, it actually appears to the <em>right</em>.&nbsp; This fact is often confusing to students.</p>\r\n<p>Here is another interactive cell to experiment with just horizontal shifts:</p>"}︡
︠75039cc5-8ffb-4ed0-b290-b9aec9d7f7c2︠
@interact

def horizontal_translation(h = (-10..10)):
    f(x) = x^2
    g(x) = f(x-h)
    print 'g(x) = f(x - ',h,')'
    show(plot(f, -5, 5) + plot(g, -5+h, 5+h, color = 'red'))
︡f9e7d7da-8b53-41b8-91e5-c7112eb80393︡{"html": "<!--notruncate--><div padding=6 id='div-interact-62'> <table width=800px height=20px bgcolor='#c5c5c5'\n                 cellpadding=15><tr><td bgcolor='#f9f9f9' valign=top align=left><table><tr><td align=right><font color=\"black\">h&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-h-62' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-h-62-lbl'></font></td></tr></table><script>(function(){ var values = [\"-10\",\"-9\",\"-8\",\"-7\",\"-6\",\"-5\",\"-4\",\"-3\",\"-2\",\"-1\",\"0\",\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\",\"9\",\"10\"]; setTimeout(function() {\n    $('#slider-h-62').slider({\n        step: 1, min: 0, max: 20, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-h-62-lbl').text(values[position]); interact(62, \"_interact_.update(62, \\\"h\\\", 3, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(62)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-h-62-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-h-62-lbl').text(values[$('#slider-h-62').slider('value')]);\n    }, 1); })();</script></td></tr>\n</table><div id='cell-interact-62'><?__SAGE__START>\n        <table border=0 bgcolor='#white' width=100% height=100%>\n        <tr><td bgcolor=white align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
︠5c876ad8-fdcc-4673-9af6-35496dcc8c3ei︠
%html
<p><span style="color: #ff0000;"><span style="color: #000000;">We say that </span>$g$</span> is the <em>image</em> and that <span style="color: #0000ff;">$f$</span> is the <em>pre-image</em> (original).&nbsp;</p>
<p>Now suppose that <span style="color: #ff0000;">$g(x) = x^2 + 3$</span>.<span style="color: #0000ff;"><br /></span></p>
<p><span style="color: #0000ff;">&nbsp;</span>The graph of <span style="color: #ff0000;">$g$</span> will look just like the graph of <span style="color: #0000ff;">$f$</span> shifted vertically 3 units.</p>
<p>But in which direction?&nbsp; <em>Above</em> or <em>below</em> <span style="color: #0000ff;">$f$</span>?</p>
<p>You might expect <span style="color: #ff0000;">$g$</span> to appear <em>above</em>, because of the <span style="color: #ff0000;">$+3$</span>.</p>
<p>And yes, that's what happens.&nbsp; This fact is usually <span style="text-decoration: underline;">not</span> confusing to students:</p>
<p>&nbsp;</p>

︡2f3725da-2f72-43e2-ab46-ccda72f18f2d︡{"html": "<p><span style=\"color: #ff0000;\"><span style=\"color: #000000;\">We say that </span>$g$</span> is the <em>image</em> and that <span style=\"color: #0000ff;\">$f$</span> is the <em>pre-image</em> (original).&nbsp;</p>\r\n<p>Now suppose that <span style=\"color: #ff0000;\">$g(x) = x^2 + 3$</span>.<span style=\"color: #0000ff;\"><br /></span></p>\r\n<p><span style=\"color: #0000ff;\">&nbsp;</span>The graph of <span style=\"color: #ff0000;\">$g$</span> will look just like the graph of <span style=\"color: #0000ff;\">$f$</span> shifted vertically 3 units.</p>\r\n<p>But in which direction?&nbsp; <em>Above</em> or <em>below</em> <span style=\"color: #0000ff;\">$f$</span>?</p>\r\n<p>You might expect <span style=\"color: #ff0000;\">$g$</span> to appear <em>above</em>, because of the <span style=\"color: #ff0000;\">$+3$</span>.</p>\r\n<p>And yes, that's what happens.&nbsp; This fact is usually <span style=\"text-decoration: underline;\">not</span> confusing to students:</p>\r\n<p>&nbsp;</p>"}︡
︠4933103e-a130-4772-a6a4-f2470914b482︠
@interact
def translate(k = (-25..25)):
    f(x) = x^2
    g(x) = f(x) + k
    show(plot(f, -5, 5)+plot(g, -5, 5, color = 'red'))
︡4b6399f9-93a0-445f-946d-2a6aa7bfa998︡{"html": "<!--notruncate--><div padding=6 id='div-interact-48'> <table width=800px height=20px bgcolor='#c5c5c5'\n                 cellpadding=15><tr><td bgcolor='#f9f9f9' valign=top align=left><table><tr><td align=right><font color=\"black\">k&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-k-48' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-k-48-lbl'></font></td></tr></table><script>(function(){ var values = [\"-25\",\"-24\",\"-23\",\"-22\",\"-21\",\"-20\",\"-19\",\"-18\",\"-17\",\"-16\",\"-15\",\"-14\",\"-13\",\"-12\",\"-11\",\"-10\",\"-9\",\"-8\",\"-7\",\"-6\",\"-5\",\"-4\",\"-3\",\"-2\",\"-1\",\"0\",\"1\",\"2\",\"3\",\"4\",\"5\",\"6\",\"7\",\"8\",\"9\",\"10\",\"11\",\"12\",\"13\",\"14\",\"15\",\"16\",\"17\",\"18\",\"19\",\"20\",\"21\",\"22\",\"23\",\"24\",\"25\"]; setTimeout(function() {\n    $('#slider-k-48').slider({\n        step: 1, min: 0, max: 50, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-k-48-lbl').text(values[position]); interact(48, \"_interact_.update(48, \\\"k\\\", 5, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(48)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-k-48-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-k-48-lbl').text(values[$('#slider-k-48').slider('value')]);\n    }, 1); })();</script></td></tr>\n</table><div id='cell-interact-48'><?__SAGE__START>\n        <table border=0 bgcolor='#white' width=100% height=100%>\n        <tr><td bgcolor=white align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
︠c7fa31c2-cd09-4ecd-8b0c-e918ae45d954i︠
%html
<p>Here are both kinds of translations put together:</p>

︡f63ebc45-0489-4689-9a55-eb9d4cb76918︡{"html": "<p>Here are both kinds of translations put together:</p>"}︡
︠bdbddcce-5ca9-4d05-96ef-c65d390f5774︠
@interact

def translate(h = (-5..5), k = (-5..5)):
    f(x) = x^2
    g(x) = f(x - h) + k
    print 'g(x) = f(x -',h,') +',k
    show(plot(f, -5, 5)+plot(g, -5+h, 5+h, color = 'red')+points([(0,0), (h, k)], color = 'black', pointsize = 25), ymax = 25)
︡4e6a188a-dba1-482d-ad30-eeba87f22080︡{"html": "<!--notruncate--><div padding=6 id='div-interact-14'> <table width=800px height=20px bgcolor='#c5c5c5'\n                 cellpadding=15><tr><td bgcolor='#f9f9f9' valign=top align=left><table><tr><td align=right><font color=\"black\">h&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-h-14' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-h-14-lbl'></font></td></tr></table><script>(function(){ var values = [\"-5\",\"-4\",\"-3\",\"-2\",\"-1\",\"0\",\"1\",\"2\",\"3\",\"4\",\"5\"]; setTimeout(function() {\n    $('#slider-h-14').slider({\n        step: 1, min: 0, max: 10, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-h-14-lbl').text(values[position]); interact(14, \"_interact_.update(14, \\\"h\\\", 8, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(14)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-h-14-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-h-14-lbl').text(values[$('#slider-h-14').slider('value')]);\n    }, 1); })();</script></td></tr>\n<tr><td align=right><font color=\"black\">k&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-k-14' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-k-14-lbl'></font></td></tr></table><script>(function(){ var values = [\"-5\",\"-4\",\"-3\",\"-2\",\"-1\",\"0\",\"1\",\"2\",\"3\",\"4\",\"5\"]; setTimeout(function() {\n    $('#slider-k-14').slider({\n        step: 1, min: 0, max: 10, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-k-14-lbl').text(values[position]); interact(14, \"_interact_.update(14, \\\"k\\\", 9, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(14)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-k-14-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-k-14-lbl').text(values[$('#slider-k-14').slider('value')]);\n    }, 1); })();</script></td></tr>\n</table><div id='cell-interact-14'><?__SAGE__START>\n        <table border=0 bgcolor='#white' width=100% height=100%>\n        <tr><td bgcolor=white align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
︠ec4a271c-067c-498b-858c-28fcd00ff5cci︠
%html
<p>Summary:&nbsp;</p>
<p style="padding-left: 30px;">If $T(x, y) = (x + h, y + k)$, then $g(x) = f(x - h) + k$ where</p>
<p style="padding-left: 30px;">$f$ is some function and $g$ is the translated function.</p>

<p>2)&nbsp; Reflections</p>
<p>Reflection over the $y$ axis: &nbsp; &nbsp;&nbsp; $r_y(x, y) = (-x, y)$</p>
<p>Reflection over the $x$ axis:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; $r_x(x, y) = (x, -y)$</p>

︡17d32d9b-9098-4552-9b29-b071254acc62︡{"html": "<p>Summary:&nbsp;</p>\r\n<p style=\"padding-left: 30px;\">If $T(x, y) = (x + h, y + k)$, then $g(x) = f(x - h) + k$ where</p>\r\n<p style=\"padding-left: 30px;\">$f$ is some function and $g$ is the translated function.</p>\r\n\r\n<p>2)&nbsp; Reflections</p>\r\n<p>Reflection over the $y$ axis: &nbsp; &nbsp;&nbsp; $r_y(x, y) = (-x, y)$</p>\r\n<p>Reflection over the $x$ axis:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; $r_x(x, y) = (x, -y)$</p>"}︡
︠6a476a5e-8576-4c3c-84a1-ab83189e0a92︠
f(x) = 2^x

def r_y(L): return [(-x, y) for (x, y) in L]

F = [(x, f(x)) for x in [-5..5, step = 1/5]]

show(points(F)+points(r_y(F), color = 'red'))
︡12819b4c-13ba-4de3-9a14-b0870374b862︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠2c74e090-24eb-4326-a930-d61bd7cdaa28︠
def r_x(L): return [(x, -y) for (x, y) in L]

show(points(F)+points(r_x(F), color = 'red'))
︡3a321457-db7f-41f9-98ca-468f4bb38e9e︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠954d6aae-c493-400b-a6c5-14ca383f7a43︠
@interact

def reflections(r_x = [False, True], r_y = [False, True]):
    f(x) = 2^x
    g(x) = f(x)
    if r_x: 
        g(x) = -g(x)
    if r_y: 
        g(x) = g(-x)
    show(plot(g, -5, 5, color = 'red')+plot(f, -5, 5), ymin = -25, ymax = 25)
︡50aa203f-b3cd-4ba0-8006-fbca6c4d2dbe︡{"html": "<!--notruncate--><div padding=6 id='div-interact-52'> <table width=800px height=20px bgcolor='#c5c5c5'\n                 cellpadding=15><tr><td bgcolor='#f9f9f9' valign=top align=left><table><tr><td align=right><font color=\"black\">r_x&nbsp;</font></td><td><table style=\"border:1px solid #dfdfdf;background-color:#efefef\">\n<tr><td><button style='border-style:inset;' value='0' onclick='$(\"BUTTON\", this.parentNode).css(\"border-style\", \"outset\"); $(this).css(\"border-style\", \"inset\"); interact(52, \"_interact_.update(52, \\\"r_x\\\", 10, _interact_.standard_b64decode(\\\"\"+encode64(this.value)+\"\\\"), globals());_interact_.recompute(52)\")'>False</button>\n<button style='border-style:outset;' value='1' onclick='$(\"BUTTON\", this.parentNode).css(\"border-style\", \"outset\"); $(this).css(\"border-style\", \"inset\"); interact(52, \"_interact_.update(52, \\\"r_x\\\", 10, _interact_.standard_b64decode(\\\"\"+encode64(this.value)+\"\\\"), globals());_interact_.recompute(52)\")'>True</button>\n</td></tr></table></td></tr>\n<tr><td align=right><font color=\"black\">r_y&nbsp;</font></td><td><table style=\"border:1px solid #dfdfdf;background-color:#efefef\">\n<tr><td><button style='border-style:inset;' value='0' onclick='$(\"BUTTON\", this.parentNode).css(\"border-style\", \"outset\"); $(this).css(\"border-style\", \"inset\"); interact(52, \"_interact_.update(52, \\\"r_y\\\", 11, _interact_.standard_b64decode(\\\"\"+encode64(this.value)+\"\\\"), globals());_interact_.recompute(52)\")'>False</button>\n<button style='border-style:outset;' value='1' onclick='$(\"BUTTON\", this.parentNode).css(\"border-style\", \"outset\"); $(this).css(\"border-style\", \"inset\"); interact(52, \"_interact_.update(52, \\\"r_y\\\", 11, _interact_.standard_b64decode(\\\"\"+encode64(this.value)+\"\\\"), globals());_interact_.recompute(52)\")'>True</button>\n</td></tr></table></td></tr>\n</table><div id='cell-interact-52'><?__SAGE__START>\n        <table border=0 bgcolor='#white' width=100% height=100%>\n        <tr><td bgcolor=white align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
︠08df3ae5-bba0-465d-b554-bd1ed0fbfd8ei︠
%html
<p>Note $\rightarrow$ A reflection over both the $x$ and $y$ axes is equivalent to a reflection over the origin.</p>
<p>Reflection over $(0, 0)$:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; $r_{(0, 0)}(x, y) = (-x, -y)$</p>

<p>A reflection over the line $y = x$ swaps the $x$ and $y$ coordinates:&nbsp; $r_{y = x}(x, y) = (y, x)$</p>

︡70c4b6d3-e4dc-440d-9efe-0d2f84eeb55a︡{"html": "<p>Note $\\rightarrow$ A reflection over both the $x$ and $y$ axes is equivalent to a reflection over the origin.</p>\r\n<p>Reflection over $(0, 0)$:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; $r_{(0, 0)}(x, y) = (-x, -y)$</p>\r\n\r\n<p>A reflection over the line $y = x$ swaps the $x$ and $y$ coordinates:&nbsp; $r_{y = x}(x, y) = (y, x)$</p>"}︡
︠7261ab88-3f9d-4b6e-9b4a-8491c419be4d︠
f(x) = 2^x

F = [(x, f(x)) for x in [-5..5, step = 1/5]]
G = [(y, x) for (x, y) in F]
I = [(F[0][0], F[0][0]), (G[-1][0], G[-1][0])]

show(points(F) + points(G, color = 'red') + line(I, color = 'black'), aspect_ratio = 1)
︡9d1d0a28-fca3-48dc-b3f0-2c1ce0ba41e5︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠fdc31866-eaf4-4394-a808-02bde8c3b664i︠
%html
<p>3)&nbsp; Scale Changes</p>
<p style="padding-left: 60px;">$S(x, y) = (ax, by)$</p>

︡c1d81138-d596-41f5-a818-892a52104a65︡{"html": "<p>3)&nbsp; Scale Changes</p>\r\n<p style=\"padding-left: 60px;\">$S(x, y) = (ax, by)$</p>"}︡
︠837fdf6c-f641-4497-ae84-5553901c5a8a︠
@interact
def _(a = (-5..5), b = (-5..5)):
    def S(L): return [(a*x, b*y) for (x, y) in L]
    def f(x): return x^2
    F = [(x, f(x)) for x in [-5..5]]
    def g(x): return f(x/a)*b
    G = S(F)
    print 'S(x, y) = (',a,'x, ',b,'y)'
    print '\nf(x) = x^2'
    print F
    print '\ng(x) = (x/',a,')^2 * ', b
    print G
    show(points(G, color = 'red') + points(F) + plot(g, -5*abs(a), 5*abs(a), color = 'red') + plot(f, -5, 5))
︡1880e80b-bd5c-4f17-8e11-d437d4f88371︡{"html": "<!--notruncate--><div padding=6 id='div-interact-74'> <table width=800px height=20px bgcolor='#c5c5c5'\n                 cellpadding=15><tr><td bgcolor='#f9f9f9' valign=top align=left><table><tr><td align=right><font color=\"black\">a&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-a-74' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-a-74-lbl'></font></td></tr></table><script>(function(){ var values = [\"-5\",\"-4\",\"-3\",\"-2\",\"-1\",\"0\",\"1\",\"2\",\"3\",\"4\",\"5\"]; setTimeout(function() {\n    $('#slider-a-74').slider({\n        step: 1, min: 0, max: 10, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-a-74-lbl').text(values[position]); interact(74, \"_interact_.update(74, \\\"a\\\", 12, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(74)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-a-74-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-a-74-lbl').text(values[$('#slider-a-74').slider('value')]);\n    }, 1); })();</script></td></tr>\n<tr><td align=right><font color=\"black\">b&nbsp;</font></td><td><table><tr><td>\n        <div id='slider-b-74' style='margin:0px; margin-left: 1.0em; margin-right: 1.0em; width: 15.0em;'></div>\n        </td><td><font color='black' id='slider-b-74-lbl'></font></td></tr></table><script>(function(){ var values = [\"-5\",\"-4\",\"-3\",\"-2\",\"-1\",\"0\",\"1\",\"2\",\"3\",\"4\",\"5\"]; setTimeout(function() {\n    $('#slider-b-74').slider({\n        step: 1, min: 0, max: 10, value: 0,\n        change: function (e,ui) { var position = ui.value; if(values!=null) $('#slider-b-74-lbl').text(values[position]); interact(74, \"_interact_.update(74, \\\"b\\\", 13, _interact_.standard_b64decode(\\\"\"+encode64(position)+\"\\\"), globals());_interact_.recompute(74)\"); },\n        slide: function(e,ui) { if(values!=null) $('#slider-b-74-lbl').text(values[ui.value]); }\n    });\n    if(values != null) $('#slider-b-74-lbl').text(values[$('#slider-b-74').slider('value')]);\n    }, 1); })();</script></td></tr>\n</table><div id='cell-interact-74'><?__SAGE__START>\n        <table border=0 bgcolor='#white' width=100% height=100%>\n        <tr><td bgcolor=white align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
︠7cfaa283-7262-4319-ba07-26b933d6ee22i︠
%html
<p>Summary:</p>
<p style="padding-left: 30px;">If $S(x, y) = (ax, by)$, then $g(x) = f(x/a)\cdot b$ where</p>
<p style="padding-left: 30px;">$f$ is some function and $g$ is the scaled function.</p>

<p>4)&nbsp; Function Composition</p>
<p>Function composition means creating new functions from combinations of other functions.</p>

︡f884ae0c-e35b-4165-ba6a-2086c6c863a2︡{"html": "<p>Summary:</p>\r\n<p style=\"padding-left: 30px;\">If $S(x, y) = (ax, by)$, then $g(x) = f(x/a)\\cdot b$ where</p>\r\n<p style=\"padding-left: 30px;\">$f$ is some function and $g$ is the scaled function.</p>\r\n\r\n<p>4)&nbsp; Function Composition</p>\r\n<p>Function composition means creating new functions from combinations of other functions.</p>"}︡
︠ce4aec3b-d583-444c-a7f7-be9e1252fd03︠
f(x) = x^2
g(x) = 4*x
︡5b754142-3721-4932-804b-9bf6f2126a40︡︡
︠a9371224-4507-4262-9037-37c2bcb6526c︠
f(g(x))
︡2abbabcd-e451-4be3-b132-f2d26ab3b32e︡{"stdout": "16*x^2"}︡
︠6d21c0f5-5c5d-4b1f-b2ec-912869b758bf︠
g(f(x))
︡a0f0455c-1f5e-4877-8ed6-2a38005c47ad︡{"stdout": "4*x^2"}︡
︠208f9bfe-b370-4610-ae1a-2457bd0e0761i︠
%html
<p>Note - function composition is not generally commutative!</p>

<p>5)&nbsp; Inverse Functions</p>
<p>If $f(x)$ and $g(x)$ are inverse functions, then $f(g(x)) = g(f(x)) = x$.</p>

︡28e2ebed-db18-4e09-ac4b-3dcda93cf708︡{"html": "<p>Note - function composition is not generally commutative!</p>\r\n\r\n<p>5)&nbsp; Inverse Functions</p>\r\n<p>If $f(x)$ and $g(x)$ are inverse functions, then $f(g(x)) = g(f(x)) = x$.</p>"}︡
︠e763f688-b0a4-47a5-b4ab-efa3a842164f︠
f(x) = pow(2, x)
g(x) = log(x, 2)

show(plot(f, -5, 5)+plot(g, 1/32, 32, color = 'red')+plot(x, -5, 32, color = 'black'), aspect_ratio = 1)
︡7f2656fc-dc8c-4d8b-b721-44fc6086252d︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠f95bd31b-023f-4dd3-8a03-bd6659d22848i︠
%html
<p>6) &nbsp;$z$-scores</p>
<p>$z(x) = \frac{x - \mu}{\sigma}$</p>
<p>A $z$-score is a translation followed by a scale change:</p>
<p style="padding-left: 30px;">$T(x) = x - \mu$</p>
<p style="padding-left: 30px;">$S(x) = \frac{1}{\sigma}x$</p>
<p style="padding-left: 30px;">$S(T(x)) = \frac{x - \mu}{\sigma}$</p>

︡f80fccca-292a-450a-91b8-f579f7fbf55a︡{"html": "<p>6) &nbsp;$z$-scores</p>\r\n<p>$z(x) = \\frac{x - \\mu}{\\sigma}$</p>\r\n<p>A $z$-score is a translation followed by a scale change:</p>\r\n<p style=\"padding-left: 30px;\">$T(x) = x - \\mu$</p>\r\n<p style=\"padding-left: 30px;\">$S(x) = \\frac{1}{\\sigma}x$</p>\r\n<p style=\"padding-left: 30px;\">$S(T(x)) = \\frac{x - \\mu}{\\sigma}$</p>"}︡
︠91ce71a4-7182-4863-9bc2-99e968c80e1c︠
@interact
def normal_curve(m=75, s=10): 
    z(x) = (x-m)/s
    P(x) = 1/(s*sqrt(2*pi*exp(z(x)^2)))
    show(plot(P, m-3*s, m+3*s)+\
         line([(m,0),(m,P(m))], color = 'red', linestyle = '--')+\
         line([(m-s,0),(m-s,P(m-s))], color = 'red', linestyle = '--')+\
         line([(m+s,0),(m+s,P(m+s))], color = 'red', linestyle = '--')+\
         line([(m-2*s,0),(m-2*s,P(m-2*s))], color = 'red', linestyle = '--')+\
         line([(m+2*s,0),(m+2*s,P(m+2*s))], color = 'red', linestyle = '--'))
︡7e6ab926-3253-4103-8033-0a0b74a469a1︡{"html": "<!--notruncate--><div padding=6 id='div-interact-63'> <table width=800px height=20px bgcolor='#c5c5c5'\n                 cellpadding=15><tr><td bgcolor='#f9f9f9' valign=top align=left><table><tr><td align=right><font color=\"black\">m&nbsp;</font></td><td><input type='text' value=\"75\" size=80 onchange='interact(63, \"_interact_.update(63, \\\"m\\\", 14, _interact_.standard_b64decode(\\\"\"+encode64(this.value)+\"\\\"), globals());_interact_.recompute(63)\")'></input></td></tr>\n<tr><td align=right><font color=\"black\">s&nbsp;</font></td><td><input type='text' value=\"10\" size=80 onchange='interact(63, \"_interact_.update(63, \\\"s\\\", 15, _interact_.standard_b64decode(\\\"\"+encode64(this.value)+\"\\\"), globals());_interact_.recompute(63)\")'></input></td></tr>\n</table><div id='cell-interact-63'><?__SAGE__START>\n        <table border=0 bgcolor='#white' width=100% height=100%>\n        <tr><td bgcolor=white align=left valign=top><pre><?__SAGE__TEXT></pre></td></tr>\n        <tr><td  align=left valign=top><?__SAGE__HTML></td></tr>\n        </table><?__SAGE__END></div></td>\n                 </tr></table></div>\n                 "}︡
